import IPronunciationsRepo, { ComplexSearchParams, SimpleSearchParams } from '../../types/repositories/pronunciations';
import IHttpClient from '../../types/http-client';
import Application from '../../types/input/application';
export default class PronunciationsRepository implements IPronunciationsRepo {
    private httpClient;
    private application;
    constructor(httpClient: IHttpClient, application: Application);
    simpleSearch({ target, targetTypeSig, targetOwnerSig, ...rest }: SimpleSearchParams): Promise<unknown>;
    complexSearch({ targets, userContext, ...rest }: ComplexSearchParams): Promise<unknown>;
}
