import IConfiguration from '../types/configuration';
import Credentials from './credentials';
export default class Configuration implements IConfiguration {
    readonly credentials: Credentials;
    accessKeyId: string;
    apiUrl: string;
    secretAccessKey: string;
    analyticsApiUrl: string;
    constructor({ accessKeyId, secretAccessKey, apiUrl, analyticsApiUrl }: {
        accessKeyId?: any;
        secretAccessKey?: any;
        apiUrl?: any;
        analyticsApiUrl?: any;
    });
}
